## ros-jazzy-ros-gz-sim-demos 1.0.0

=== debian/changelog ===
ros-jazzy-ros-gz-sim-demos (1.0.0-1bookworm) bookworm; urgency=high

  * Use gz_vendor packages (#531 <https://github.com/gazebosim/ros_gz/issues/531>)
  * Remove deprecations using ros_gz_sim_create (#476 <https://github.com/gazebosim/ros_gz/issues/476>)
  * Contributors: Addisu Z. Taddese, Alejandro Hernández Cordero

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 24 Apr 2024 05:00:00 -0000

ros-jazzy-ros-gz-sim-demos (0.246.0-1bookworm) bookworm; urgency=high

  * Added more topic to the bridge (#422 <https://github.com/gazebosim/ros_gz/issues/422>)
  * Fix incorrect subscription on demo (#405 <https://github.com/gazebosim/ros_gz/issues/405>) (#408 <https://github.com/gazebosim/ros_gz/issues/408>)
    Co-authored-by: Arjo Chakravarty <mailto:arjoc@intrinsic.ai>
  * Port: humble to ros2 (#386 <https://github.com/gazebosim/ros_gz/issues/386>)
  * Merge branch 'humble' into mjcarroll/humble_to_ros2
  * Update maintainers (#376 <https://github.com/gazebosim/ros_gz/issues/376>)
  * Rename 'ign gazebo' to 'gz sim' (#343 <https://github.com/gazebosim/ros_gz/issues/343>)
  * Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz/issues/316>)
  * Humble ➡️ ROS2 (#323 <https://github.com/gazebosim/ros_gz/issues/323>)
  * Fixed ros_gz_sim_demos launch files (#319 <https://github.com/gazebosim/ros_gz/issues/319>)
  * Contributors: Aditya Pande, Alejandro Hernández Cordero, Clyde McQueen, Michael Carroll, Rousseau Vincent, ahcorde

 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 31 Aug 2023 05:00:00 -0000

ros-jazzy-ros-gz-sim-demos (0.245.0-1bookworm) bookworm; urgency=high

  * humble to ros2 (#311 <https://github.com/gazebosim/ros_gz/issues/311>)
    Co-authored-by: Michael Carroll <mailto:michael@openrobotics.org>
  * Merge remote-tracking branch 'origin/humble' into ahcorde/humble_to_ros2
  * Remove all ignition references on ROS 2 branch (#302 <https://github.com/gazebosim/ros_gz/issues/302>)
    * Remove all shims
    * Update CMakeLists and package.xml for garden
    * Complete garden gz renaming
    * Drop fortress CI
  * Contributors: Alejandro Hernández Cordero, Michael Carroll, ahcorde

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 12 Oct 2022 05:00:00 -0000

ros-jazzy-ros-gz-sim-demos (0.244.10-1bookworm) bookworm; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 03 May 2023 05:00:00 -0000

ros-jazzy-ros-gz-sim-demos (0.244.9-1bookworm) bookworm; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 03 Nov 2022 05:00:00 -0000

ros-jazzy-ros-gz-sim-demos (0.244.8-1bookworm) bookworm; urgency=high

  * Fixed ros_gz_sim_demos launch files (#319 <https://github.com/gazebosim/ros_gz/issues/319>) (#320 <https://github.com/gazebosim/ros_gz/issues/320>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <adityapande@intrinsic.ai>  Fri, 28 Oct 2022 05:00:00 -0000

ros-jazzy-ros-gz-sim-demos (0.244.7-1bookworm) bookworm; urgency=high

  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Michael Carroll

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 12 Oct 2022 05:00:00 -0000

ros-jazzy-ros-gz-sim-demos (0.244.6-1bookworm) bookworm; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 14 Sep 2022 05:00:00 -0000

ros-jazzy-ros-gz-sim-demos (0.244.5-1bookworm) bookworm; urgency=high

  * sdformat_urdf parser demo (#265 <https://github.com/gazebosim/ros_gz/issues/265>)
    * parser compatible model and launch framework
    * added ground plane, common gz plugins, demo commands and cleaned install paths
    * unique collision names and cleared flake
    * updating model config
    * building parser from source
    * fix flake and update deb dependency for garden
    * Move packages and files to gz
    * feedback and ign->gz
    * Support ros_ign migration
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
    * renaming and flake
    * added ros commands
    * gz-version
    * feedback and ci trial
    * removing garden condition
    Co-authored-by: Michael Carroll <mailto:michael@openrobotics.org>
    Co-authored-by: methylDragon <mailto:methylDragon@gmail.com>
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: Dharini Dutia, methylDragon

 -- Aditya Pande <adityapande@intrinsic.ai>  Mon, 12 Sep 2022 05:00:00 -0000

ros-jazzy-ros-gz-sim-demos (0.244.3-1bookworm) bookworm; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)

