## ros-jazzy-ros-gz-sim-demos 1.0.4

=== debian/changelog ===
ros-jazzy-ros-gz-sim-demos (1.0.4-1bookworm) bookworm; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 28 Aug 2024 16:00:00 -0000

ros-jazzy-ros-gz-sim-demos (1.0.3-1bookworm) bookworm; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 21 Jul 2024 16:00:00 -0000

ros-jazzy-ros-gz-sim-demos (1.0.2-1bookworm) bookworm; urgency=high

  * Prepare for 1.0.0 Release (#495 <https://github.com/gazebosim/ros_gz//issues/495>)
  * Use gz_vendor packages (#531 <https://github.com/gazebosim/ros_gz//issues/531>)
  * [backport Humble] Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz//issues/316>) (#538 <https://github.com/gazebosim/ros_gz//issues/538>)
    Co-authored-by: Rousseau Vincent <mailto:vincentrou@gmail.com>
  * [backport Iron] Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz//issues/316>) (#537 <https://github.com/gazebosim/ros_gz//issues/537>)
    Co-authored-by: Rousseau Vincent <mailto:vincentrou@gmail.com>
  * 0.244.14
  * Changelog
  * 0.244.13
  * Changelog
  * Remove deprecations using ros_gz_sim_create (#476 <https://github.com/gazebosim/ros_gz//issues/476>)
  * 0.244.12
  * Changelog
  * 0.246.0
  * Update changelogs
  * Added more topic to the bridge (#422 <https://github.com/gazebosim/ros_gz//issues/422>)
  * Fix incorrect subscription on demo (#405 <https://github.com/gazebosim/ros_gz//issues/405>) (#408 <https://github.com/gazebosim/ros_gz//issues/408>)
    This PR fixes an incorrect subscription on one of the demos. Running
    ```
    ros2 launch ros_gz_sim_demos gpu_lidar_bridge.launch.py
    ```
    causes rviz2 to crash and exit with the error:
    ```
    rviz2-3]
    [rviz2-3] >>> [rcutils|error_handling.c:108] rcutils_set_error_state()
    [rviz2-3] This error state is being overwritten:
    [rviz2-3]
    [rviz2-3]   'create_subscription() called for existing topic name rt/lidar with incompatible type sensor_msgs::msg::dds\_::PointCloud2\_, at ./src/subscription.cpp:146, at ./src/rcl/subscription.c:108'
    [rviz2-3]
    [rviz2-3] with this new error message:
    [rviz2-3]
    [rviz2-3]   'invalid allocator, at ./src/rcl/subscription.c:218'
    [rviz2-3]
    [rviz2-3] rcutils_reset_error() should be called after error handling to avoid this.
    ```
    This is due to an incorrect subscription on the part of the demo. This
    PR fixes it by getting a subscription to the right topic for the
    pointcloud display. (lidar/points instead of lidar). Was tested on
    garden + humble.
    Co-authored-by: Arjo Chakravarty <mailto:arjoc@intrinsic.ai>
  * Port: humble to ros2 (#386 <https://github.com/gazebosim/ros_gz//issues/386>)
  * Merge branch 'humble' into mjcarroll/humble_to_ros2
  * Update maintainers (#376 <https://github.com/gazebosim/ros_gz//issues/376>)
  * Rename 'ign gazebo' to 'gz sim' (#343 <https://github.com/gazebosim/ros_gz//issues/343>)
  * Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz//issues/316>)
  * Humble ➡️ ROS2 (#323 <https://github.com/gazebosim/ros_gz//issues/323>)
    Humble ➡️ ROS2
  * Merge branch 'humble' into ports/humble_to_ros2
  * Fixed ros_gz_sim_demos launch files (#319 <https://github.com/gazebosim/ros_gz//issues/319>)
  * 0.245.0
  * Changelog
  * humble to ros2 (#311 <https://github.com/gazebosim/ros_gz//issues/311>)
    Co-authored-by: Michael Carroll <mailto:michael@openrobotics.org>
  * Merge remote-tracking branch 'origin/humble' into ahcorde/humble_to_ros2
  * Remove all ignition references on ROS 2 branch (#302 <https://github.com/gazebosim/ros_gz//issues/302>)
    * Remove all shims
    * Update CMakeLists and package.xml for garden
    * Complete garden gz renaming
    * Drop fortress CI
  * Contributors: Addisu Z. Taddese, Aditya Pande, Alejandro Hernández Cordero, Clyde McQueen, Jose Luis Rivero, Michael Carroll, Rousseau Vincent, ahcorde

 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 02 Jul 2024 16:00:00 -0000
