=== debian/control ===
Source: ros-jazzy-ros-gz-sim-demos
Section: misc
Priority: optional
Maintainer: Aditya Pande <adityapande@intrinsic.ai>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-gz-sim-vendor, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-ros-gz-sim-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-gz-sim-vendor, ros-jazzy-image-transport-plugins, ros-jazzy-robot-state-publisher, ros-jazzy-ros-gz-bridge, ros-jazzy-ros-gz-image, ros-jazzy-ros-gz-sim, ros-jazzy-rqt-image-view, ros-jazzy-rqt-plot, ros-jazzy-rqt-topic, ros-jazzy-rviz2, ros-jazzy-sdformat-urdf, ros-jazzy-xacro, ros-jazzy-ros-workspace
Description: Demos using Gazebo Sim simulation with ROS.
